#include <iostream>
#define MAXN 100055
using namespace std;
int x[MAXN], y[MAXN], z[MAXN];
int n;
int main()
{
    scanf("%d", &n);
    int res=0;
    for(int i = 1; i<=n; i++) {
        scanf("%d", &x[i]);
        for(int j=1; j<=n; j++) {
            scanf("%d", &y[j]);
            if(y[j]==x[i]) {
                for(int k=1; k<=n; k++) {
                    scanf("%d", &z[k]);
                    if(j==z[k]) res++;
                }
            }
        }
    }
    printf("%d\n", res);
    return 0;
}